Bug 805607 - HornetQ - Undeploying of ESB archive causes undelivered messages
HornetQ - Undeploying of ESB archive causes undelivered messages
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBoss HornetQ (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER3
: 5.3.0 GA
Assigned To: trev
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:49 EDT by Filip Nguyen
Modified: 2015-03-12 07:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Undeploying ESB archives when using HornetQ can interfere with the delivery of messages. If you are sending messages to be processed by the gateway queue and undeploy the ESB before it has finished, the messages will not be sent automatically when you redeploy it.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Deployments and logfiles (5.44 MB, application/zip)
2012-03-21 12:54 EDT, Filip Nguyen
no flags Details

  None (edit)
Description Filip Nguyen 2012-03-21 12:49:43 EDT
I have deployed esb aware and unaware (gateway) queues. Then I deploy Failover1.esb. I run standard JMS client and send 1000 messages to the gateway queue. Before all messages are delivered I undeploy the ESB and later deploy again. The messages are not consumed by the application after it is deployed again (see attached application and logs, from logs it can be seen that only 950 messages are processed by the ESB).
Comment 1 Filip Nguyen 2012-03-21 12:54:00 EDT
Created attachment 571772 [details]
Deployments and logfiles
Comment 4 Rick Wagner 2012-04-13 11:36:57 EDT
Associated JIRA:

https://issues.jboss.org/browse/JBPAPP-8708
Comment 6 David Le Sage 2012-07-01 22:48:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Undeploying ESB archives when using HornetQ can interfere with the delivery of messages. If you are sending messages to be processed by the gateway queue and undeploy the ESB before it has finished, the messages will not be sent automatically when you redeploy it.

Note You need to log in before you can comment on or make changes to this bug.